-------------------------------------------
--- Author: Ketho (EU-Boulderfist)		---
--- License: Public Domain				---
--- Created: 2011.11.17					---
--- Version: 0.3 [2012.05.18]			---
-------------------------------------------
--- Curse			http://www.curse.com/addons/wow/showraidframe
--- WoWInterface	http://www.wowinterface.com/downloads/info20511-ShowRaidFrame.html

local t = {
	Blizzard_CompactRaidFrames = true,
	Blizzard_CUFProfiles = true,
}

-- Thou shalt not hard disable the Raid Frames
local disable = DisableAddOn

function DisableAddOn(...)
	local addon = ...
	if t[addon] then
		return
	else
		disable(...)
	end
end

-- So It Has Come To This
if not IsAddOnLoaded("Blizzard_CompactRaidFrames") then
	for k in pairs(t) do
		EnableAddOn(k)
	end
	return
end

local noop = function() end

-- Thou shalt not hide the Raid Frames
for _, v in ipairs({CompactRaidFrameManager, CompactRaidFrameContainer}) do
	v.UnregisterAllEvents = noop
	v.UnregisterEvent = noop
	v.Hide = noop
	v:Show()
end

-- Sets the USE_RAID_STYLE_PARTY_FRAMES CVar and locks the checkbox option
-- we don't want party frames to show up since we can't hide the raid frames
SetCVar("useCompactPartyFrames", 1)
CompactUnitFrameProfilesRaidStylePartyFrames:Disable()
